Skip to main content
DELETE
/
v1
/
boards
/
{boardId}
/
chats
/
{chatId}
curl -X DELETE "https://api.chatgrid.ai/v1/boards/a1b2c3d4-e5f6-7890-abcd-ef1234567890/chats/b2c3d4e5-f6a7-8901-bcde-f12345678901" \
  -H "Authorization: Bearer cgk_live_a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6"
{
  "object": "chat_thread",
  "data": {
    "id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
    "deleted": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.chatgrid.ai/llms.txt

Use this file to discover all available pages before exploring further.

Messages are cascade-deleted by the database foreign key. This action is irreversible.
curl -X DELETE "https://api.chatgrid.ai/v1/boards/a1b2c3d4-e5f6-7890-abcd-ef1234567890/chats/b2c3d4e5-f6a7-8901-bcde-f12345678901" \
  -H "Authorization: Bearer cgk_live_a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6"
{
  "object": "chat_thread",
  "data": {
    "id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
    "deleted": true
  }
}